Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezlink/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6220 2001-07-20 11:15:21Z jakobn $
5 //
6 // Created on: <29-Jun-2001 13:57:58 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // $url_array = explode( "/", $REQUEST_URI );
28
29 $user =& eZUser::currentUser();
30 // include_once( "ezuser/classes/ezpermission.php" );
31 // include_once( "classes/ezhttptool.php" );
32
33 if( eZPermission::checkPermission( $user, "eZLink", "ModuleEdit" ) == false )
34 {
35 eZHTTPTool::header( "Location: /error/403" );
36 exit();
37 }
38
39 switch ( $url_array[2] )
40 {
41 case "" :
42 {
43 include( "kernel/ezlink/admin/linkcategorylist.php" );
44 }
45 break;
46 case "link" :
47 {
48 $LID = $url_array[3];
49 include( "kernel/ezlink/admin/linkcategorylist.php" );
50 }
51 break;
52
53 case "typelist" :
54 {
55 include( "kernel/ezlink/admin/typelist.php" );
56 }
57 break;
58
59 case "typeedit" :
60 {
61 if ( $url_array[3] == "edit" )
62 {
63 $TypeID = $url_array[4];
64 $Action = "Edit";
65 }
66 if ( $url_array[3] == "delete" )
67 {
68 $TypeID = $url_array[4];
69 $Action = "Delete";
70 }
71 if ( $url_array[3] == "up" )
72 {
73 $TypeID = $url_array[4];
74 $AttributeID = $url_array[5];
75 $Action = "up";
76 }
77 if ( $url_array[3] == "down" )
78 {
79 $TypeID = $url_array[4];
80 $AttributeID = $url_array[5];
81 $Action = "down";
82 }
83
84 include( "kernel/ezlink/admin/typeedit.php" );
85 }
86 break;
87
88 case "category" :
89 {
90 if ( $url_array[4] == "parent" )
91 {
92 $Offset = $url_array[5];
93 if ( !is_numeric( $Offset ) )
94 $Offset = 0;
95 }
96 $LinkCategoryID = $url_array[3];
97 include( "kernel/ezlink/admin/linkcategorylist.php" );
98 }
99 break;
100
101 case "unacceptedlist":
102 {
103 if ( $url_array[3] )
104 $Offset = $url_array[3];
105 include( "kernel/ezlink/admin/unacceptedlist.php" );
106 }
107 break;
108 case "unacceptededit":
109 {
110 include( "kernel/ezlink/admin/unacceptededit.php" );
111 }
112 break;
113
114 case "linkedit" :
115 {
116 switch ( $url_array[3] )
117 {
118 case "new" :
119 {
120 $Action = "new";
121 include( "kernel/ezlink/admin/linkedit.php" );
122 }
123 break;
124
125 case "insert" :
126 {
127 $LinkID = $url_array[4];
128 if ( isset( $Update ) )
129 {
130 $Action = "AttributeList";
131 }
132 else
133 {
134 $Action = "insert";
135 }
136 include( "kernel/ezlink/admin/linkedit.php" );
137 }
138 break;
139
140 case "edit" :
141 {
142 $LinkID = $url_array[4];
143 $Action = "edit";
144 include( "kernel/ezlink/admin/linkedit.php" );
145 }
146 break;
147
148 case "update" :
149 {
150 $LinkID = $url_array[4];
151 if ( isset( $Update ) )
152 {
153 $Action = "AttributeList";
154 }
155 else
156 {
157 $Action = "update";
158 }
159 include( "kernel/ezlink/admin/linkedit.php" );
160 }
161 break;
162
163 case "delete" :
164 {
165 $LinkID = $url_array[4];
166 $Action = "delete";
167 include( "kernel/ezlink/admin/linkedit.php" );
168 }
169 break;
170
171 case "attributeedit" :
172 {
173 $LinkID = $url_array[4];
174 include( "kernel/ezlink/admin/attributeedit.php" );
175 }
176 break;
177 }
178 }
179 break;
180
181 case "categoryedit" :
182 {
183 if ( $url_array[3] == "new" )
184 {
185 $Action = "new";
186 include( "kernel/ezlink/admin/categoryedit.php" );
187 }
188 else if ( $url_array[3] == "insert" )
189 {
190 $LinkCategoryID = $url_array[4];
191 $Action = "insert";
192 include( "kernel/ezlink/admin/categoryedit.php" );
193 }
194
195 else if ( $url_array[3] == "edit" )
196 {
197 $LinkCategoryID = $url_array[4];
198 $Action = "edit";
199 include( "kernel/ezlink/admin/categoryedit.php" );
200 }
201 else if ( $url_array[3] == "update" )
202 {
203 $LinkCategoryID = $url_array[4];
204 $Action = "update";
205 include( "kernel/ezlink/admin/categoryedit.php" );
206 }
207 else if ( $url_array[3] == "delete" )
208 {
209 $LinkCategoryID = $url_array[4];
210 $Action = "delete";
211 include( "kernel/ezlink/admin/categoryedit.php" );
212 }
213 }
214 break;
215 case "testbench" :
216 include( "kernel/eztrade/admin/testbench.php" );
217 break;
218 case "search" :
219 {
220 if ( $url_array[3] == "parent" )
221 {
222 $QueryString = urldecode( $url_array[4] );
223 $Offset = $url_array[5];
224 }
225 include( "kernel/ezlink/admin/search.php" );
226 }
227 break;
228 case "norights" :
229 include( "kernel/ezlink/admin/norights.php" );
230 break;
231 case "gotolink" :
232 {
233 $Action = $url_array[3];
234 $LinkID = $url_array[4];
235 include( "kernel/ezlink/admin/gotolink.php" );
236 }
237 break;
238
239
240 default :
241 print( "<h1>Sorry, Your link page could not be found. </h1>" );
242 break;
243 }
244
245 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$user
$user
Definition: ezlink/admin/datasupplier.php:29
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.